Last Comment Bug 799314 - Add utility method to PrivateBrowsingUtils to obtain nsILoadContext from window
: Add utility method to PrivateBrowsingUtils to obtain nsILoadContext from window
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Private Browsing (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: Firefox 19
Assigned To: Josh Matthews [:jdm]
:
:
Mentors:
Depends on:
Blocks: PBnGen
  Show dependency treegraph
 
Reported: 2012-10-08 18:40 PDT by Josh Matthews [:jdm]
Modified: 2012-10-26 12:47 PDT (History)
2 users (show)
ryanvm: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Add utility method to get a privacy context from a window. (1.30 KB, patch)
2012-10-25 09:45 PDT, Josh Matthews [:jdm]
ehsan: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Josh Matthews [:jdm] 2012-10-08 18:40:31 PDT
Writing up docs for the bug 722872 fiasco, I realized that it sucks to be telling developers how to obtain an nsILoadContext. We should add a GetPrivacyContext method to PrivateBrowsingUtils and get it into FF17.
Comment 1 :Ehsan Akhgari 2012-10-09 09:00:41 PDT
Makes sense.
Comment 2 Josh Matthews [:jdm] 2012-10-25 09:45:57 PDT
Created attachment 675169 [details] [diff] [review]
Add utility method to get a privacy context from a window.
Comment 3 :Ehsan Akhgari 2012-10-25 11:13:35 PDT
Comment on attachment 675169 [details] [diff] [review]
Add utility method to get a privacy context from a window.

This is as low-risk as it can get, and it would be really really helpful for add-on developers if we can take this for Firefox 17.
Comment 5 Lukas Blakk [:lsblakk] use ?needinfo 2012-10-25 13:42:58 PDT
Comment on attachment 675169 [details] [diff] [review]
Add utility method to get a privacy context from a window.

given the very low risk, i'll pre-approve this even though it's on inbound for now - please go ahead with uplift once it's been merged to central.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-10-25 18:28:31 PDT
https://hg.mozilla.org/mozilla-central/rev/fea03e42fb87

Should this have a test?
Comment 7 :Ehsan Akhgari 2012-10-26 12:44:23 PDT
(In reply to Ryan VanderMeulen from comment #6)
> https://hg.mozilla.org/mozilla-central/rev/fea03e42fb87
> 
> Should this have a test?

isWindowPrivate is tested in a bunch of places, so it does, implicitly.

Note You need to log in before you can comment on or make changes to this bug.